List the children (files) in a given version stack.
<br>
Use the `include` query parameter to selectively include additional properties in the response.
<br>
This endpoint has been added to `Current Version` of the API.
<br>
Please see https://developer.adobe.com/frameio/api/current/#tag/Version-Stacks/operation/version_stacks.index.
<br>
Note: if you include `media_links.original` and the user does not have permission to download files
in the corresponding project, then this endpoint will respond with a `403 Forbidden` error.
If the content is inaccessible because watermarking is required for this user and isn't supported by
the requested media_links, then the request will succeed but the unsupported media links will be set to null.
Similarly, if a requested transcode link does not exist for a particular file (e.g. including
`media_links.video_h264_180` on a static image file) or transoding process hasn't finished
(i.e. the file's `status` is "uploaded" rather than "transcoded"), then the a media link will also be set to
null in the response payload. In short, the client must handle null media links gracefully.
<br>
Rate Limits: 100 calls per 1.00 minute(s) per account_user
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
account_idstringRequiredformat: "uuid"
A UUID String
version_stack_idstringRequiredformat: "uuid"
A UUID String
Headers
api-versionenumRequired
Allowed values:
Query parameters
includeenumOptional
Supported include query parameter values for endpoints that return files with media links
sortenumOptional
Sort version stack children by name or created_at
afterstringOptional
Opaque Cursor query param for requests returning paginated results.
NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.
page_sizeintegerOptional1-100Defaults to 50
Page size query param for requests
include_total_countbooleanOptionalDefaults to false
Page query param to include the count of all entities
Note: if you include media_links.original and the user does not have permission to download files
in the corresponding project, then this endpoint will respond with a 403 Forbidden error.
If the content is inaccessible because watermarking is required for this user and isn’t supported by
the requested media_links, then the request will succeed but the unsupported media links will be set to null.
Similarly, if a requested transcode link does not exist for a particular file (e.g. including
media_links.video_h264_180 on a static image file) or transoding process hasn’t finished
(i.e. the file’s status is “uploaded” rather than “transcoded”), then the a media link will also be set to
null in the response payload. In short, the client must handle null media links gracefully.
Rate Limits: 100 calls per 1.00 minute(s) per account_user